Page MenuHomePhabricator

Tabs are unusable for new pages only with both Vector and Monobook skins
Closed, InvalidPublic

Description

In the discussion regarding T195625: Implement a responsive layout for MonoBook, one user reported that they have issues with the tabs on new pages, either after following a red link or clicking the "Create page" tab. The problem is present in Firefox as well as Samsung Internet Browser and are independent of whether the user is logged in or not. However, for already existing pages, everything is fine.

They sent me the following screenshots:

I'm happy to relay any questions.

Event Timeline

Cirdan created this task.Jun 3 2018, 5:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2018, 5:55 PM

The "issues" and "unusable tabs" are about the text of the tab being rendered way lower than the actual tabs?
Or what are the actual outcome and expected outcome here?

Isarra added a subscriber: Isarra.Jun 4 2018, 10:53 AM

Yeah, this already looks so strange that we're going to need a bit more context. Actual vs expected outcomes and what modifications have been applied user-side/how to replicate this.

The user writes,

leider sind die Reiter nach einem Klick auf einen Rotlink/nach einem Klick auf den „Bearbeiten“-Button immer noch sowohl bei Monobook (die Reiter überlappen sich mit der ersten Zeile von oben (Benutzername – Echo-Benachrichtigungen – Meine Diskussion – Einstellungen – Beta – Beobachtungsliste – Meine Beiträge – Abmelden)) als auch bei Vector (die Reiter sind zu tief und auch manchmal noch nicht mal lesbar) (zumindest bei mir) meistens nicht nutzbar.

i.e. in Monobook the tabs overlap with the Echo/Userpage/User Talk/... links in the upper right-hand corner and in vector the text gets pushed down into the page title. I will however ask them to specify whether this is purely a layout issue or they actually cannot use the tabs.

When did this start? It didn't previously get pushed down etc, then? Which user, what scripts do they have active, what zoom level do they use, do they use enlarged text?

Cirdan added a comment.EditedJun 7 2018, 4:15 AM

The user provided the following information:

    • They use Samsung Internet Browser 7.0.10.44 with a Tracking Blocker
    • Using Vector, the layout issue is there both when logged in and logged out, but the site is still usable
    • Using Monobook, the text on the tabs is displaced after clicking on red links/special pages/history/edit buttons such that it overlaps with the username/echo/talk links
  • Disabling JavaScript does not change anything

I asked them to provide screenshots where they are logged out and information on when this problem started.

Aklapper changed the task status from Open to Stalled.Jun 11 2018, 9:43 AM

@Cirdan: Can you please try using both safemode and debug and see if the problem still happens?
See https://www.mediawiki.org/wiki/Help:Locating_broken_scripts for more information - thanks!

@Aklapper I'm not the one experiencing the problem, I'm just reporting on behalf of another user. I needed to clarify a few things with them and will get back with more information soon.

Cirdan closed this task as Invalid.Jun 27 2018, 11:37 AM

Unfortunately, the information given to me by the user is too inconsistent for me to turn this into a useful bug report. It seems that the problems have disappeared, at least when the user is logged in. I'm therefore closing this task.

Vvjjkkii renamed this task from Tabs are unusable for new pages only with both Vector and Monobook skins to 3pbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 3pbaaaaaaa to Tabs are unusable for new pages only with both Vector and Monobook skins.Jul 1 2018, 11:22 PM
CommunityTechBot closed this task as Invalid.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.